Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence.criteria
Enum Predicate.BooleanOperator

    java.lang.Object
      java.lang.Enum<Predicate.BooleanOperator>
          javax.persistence.criteria.Predicate.BooleanOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Predicate.BooleanOperator>

Enclosing interface:
  Predicate

    public static enum Predicate.BooleanOperator

extends java.lang.Enum<Predicate.BooleanOperator>

Enum Constant Summary
`AND`
`OR`

Method Summary
`static Predicate.BooleanOperator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Predicate.BooleanOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final Predicate.BooleanOperator AND

### OR

    public static final Predicate.BooleanOperator OR

Method Detail

### values

    public static Predicate.BooleanOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Predicate.BooleanOperator c : Predicate.BooleanOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Predicate.BooleanOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD